Đến nội dung


Hình ảnh
- - - - -

Tạo Boundary


  • Please log in to reply
9 replies to this topic

#1 kimvantoan

kimvantoan

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 04 June 2011 - 04:05 PM

Bạn nào giúp tôi đoạn mã lệnh để tạo ra một Boundary với.
Xin cám ơn!
  • 0

#2 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 05 June 2011 - 12:31 AM

Bạn nào giúp tôi đoạn mã lệnh để tạo ra một Boundary với.
Xin cám ơn!

Trong VBA không có method nào để tạo Boundary. Nếu muốn tạo boundary thì bạn chỉ còn cách dùng sendcommand.
  • 3
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#3 kimvantoan

kimvantoan

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 05 June 2011 - 10:16 AM

Trong VBA không có method nào để tạo Boundary. Nếu muốn tạo boundary thì bạn chỉ còn cách dùng sendcommand.

cám ơn bạn! Bạn cho mình xin một đoạn mã lệnh ví dụ về cái sendcommand không? Mình mới học VBA nên chưa biết nhiều.
  • 1

#4 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 05 June 2011 - 11:05 AM

cám ơn bạn! Bạn cho mình xin một đoạn mã lệnh ví dụ về cái sendcommand không? Mình mới học VBA nên chưa biết nhiều.

Bạn nghiên cứu thử đoạn code sau:

Sub createboundary()
Dim p As Variant
Dim x, y
p = ThisDrawing.Utility.GetPoint(, "Pick diem de lay Boundary: ")
x = p(0): y = p(1)
ThisDrawing.SendCommand ("-Boundary" & vbCr & x & "," & y & vbCr & vbCr)
End Sub


  • 2
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#5 kimvantoan

kimvantoan

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 June 2011 - 01:08 PM

Bạn nghiên cứu thử đoạn code sau:

Cám ơn bạn nhiều! Đây đúng là cái mình đang cần. Cám ơn!
  • 1

#6 Detailing

Detailing

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 667 Bài viết
Điểm đánh giá: 278 (khá)

Đã gửi 06 June 2011 - 01:58 PM

Sorry, ngoài lề 1 tý Hình đã gửi
VBA ko có hàm nào về Boundary, dùng sendcommand là chính xác
Nhưng nếu đòi hỏi về tốc độ thì bạn có thể dùng .NET từ version 2011 về sau Autodesk đã update thêm Editor.TraceBoundary() function trong bộ API mới.
Thân!
  • 2

Ideas don't matter, execution does!

1908412_308002392716743_8165279281236341


#7 kimvantoan

kimvantoan

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 June 2011 - 08:57 AM

Sorry, ngoài lề 1 tý Hình đã gửi
VBA ko có hàm nào về Boundary, dùng sendcommand là chính xác
Nhưng nếu đòi hỏi về tốc độ thì bạn có thể dùng .NET từ version 2011 về sau Autodesk đã update thêm Editor.TraceBoundary() function trong bộ API mới.
Thân!

Cám ơn bạn đã đóng góp ý kiến! Nhưng ".net" có lẽ là quá tầm với mình, ít ra là ở thời điểm này.
  • 0

#8 kimvantoan

kimvantoan

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 June 2011 - 01:30 PM

Bạn nghiên cứu thử đoạn code sau:

Mình đã tạo được đối tượng Boundary, nhưng không làm sao quản lý nó được. Ví dụ: mình muốn move boundary vừa tạo ra. Ai biết giúp mình với!
  • 0

#9 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 10 June 2011 - 02:17 PM

Mình đã tạo được đối tượng Boundary, nhưng không làm sao quản lý nó được. Ví dụ: mình muốn move boundary vừa tạo ra. Ai biết giúp mình với!

Bạn lấy đối tượng được tạo ra sau cùng bằng đoạn code sau:
Thisdrawing.Modelspace.Item(Thisdrawing.Modelspace.count - 1)
  • 2
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#10 kimvantoan

kimvantoan

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 June 2011 - 07:59 AM

Bạn lấy đối tượng được tạo ra sau cùng bằng đoạn code sau:
Thisdrawing.Modelspace.Item(Thisdrawing.Modelspace.count - 1)

Cám ơn bạn!
  • 0